#
# spec file for package apache-commons-csv
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           apache-commons-csv
Version:        1.9.0
Release:        6.38
Summary:        A library to read and write files in variations of the Comma Separated Value (CSV) format
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            https://commons.apache.org/proper/commons-csv/
Source0:        https://dlcdn.apache.org/commons/csv/source/commons-csv-%{version}-src.tar.gz
Source1000:     apache-commons-csv.rpmlintrc
BuildRequires:  fdupes
BuildRequires:  java-devel >= 1.8
BuildRequires:  maven-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%endif
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildArch:      noarch

%description
Commons CSV reads and writes files in variations of the Comma Separated Value (CSV) format.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation/HTML

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n commons-csv-%{version}-src

%build
%{mvn_build} -f -- -Dsource=8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Mon Aug 22 2022 Michael Calmer <mc@suse.com>
- reduce macro usage in spec file (jsc#SLE-23217)
* Thu May  5 2022 Fridrich Strba <fstrba@suse.com>
- Generate javadoc with source level 8
* Thu Apr 21 2022 David Anes <david.anes@suse.com>
- Update to version 1.9.0:
  * Many fixes and features. See: https://commons.apache.org/proper/commons-csv/changes-report.html#a1.9.0
- Added apache-commons-csv.rpmlintrc:
  * Ignore summary too long warnings
* Tue Jun 25 2019 Ismail Dönmez <idonmez@suse.com>
- Initial release v1.6 on OBS
